package com.uavps.system.udp.vo;

/**
 * @Author MBQ
 * @Date: 2025/1/15
 * @Description: 目标飞机
 * @Version: 1.0
 **/
public class TargetAircraft {
    //飞机类型：固定翼无人机、四旋翼无人机
    private String aircraftType;

    //编队飞机数量：1~60
    private int formationAircraftCount;

    //领航飞机速度m/s
    private float leadAircraftSpeed;

    //初始位置x
    private float initialPositionX;

    //初始位置y
    private float initialPositionY;

    //初始位置z
    private float initialPositionZ;

    //航线类型
    private String flightPathType;

    //噪声
    private float positionNoise;

    //编队形状, "V","Line", "Circle"
    private String formationShape;

    //跟随飞机距离
    private float followAircraftDistance;

    public String getAircraftType() {
        return aircraftType;
    }

    public void setAircraftType(String aircraftType) {
        this.aircraftType = aircraftType;
    }

    public int getFormationAircraftCount() {
        return formationAircraftCount;
    }

    public void setFormationAircraftCount(int formationAircraftCount) {
        this.formationAircraftCount = formationAircraftCount;
    }

    public float getLeadAircraftSpeed() {
        return leadAircraftSpeed;
    }

    public void setLeadAircraftSpeed(float leadAircraftSpeed) {
        this.leadAircraftSpeed = leadAircraftSpeed;
    }

    public float getInitialPositionX() {
        return initialPositionX;
    }

    public void setInitialPositionX(float initialPositionX) {
        this.initialPositionX = initialPositionX;
    }

    public float getInitialPositionY() {
        return initialPositionY;
    }

    public void setInitialPositionY(float initialPositionY) {
        this.initialPositionY = initialPositionY;
    }

    public float getInitialPositionZ() {
        return initialPositionZ;
    }

    public void setInitialPositionZ(float initialPositionZ) {
        this.initialPositionZ = initialPositionZ;
    }

    public String getFlightPathType() {
        return flightPathType;
    }

    public void setFlightPathType(String flightPathType) {
        this.flightPathType = flightPathType;
    }

    public float getPositionNoise() {
        return positionNoise;
    }

    public void setPositionNoise(float positionNoise) {
        this.positionNoise = positionNoise;
    }

    public String getFormationShape() {
        return formationShape;
    }

    public void setFormationShape(String formationShape) {
        this.formationShape = formationShape;
    }

    public float getFollowAircraftDistance() {
        return followAircraftDistance;
    }

    public void setFollowAircraftDistance(float followAircraftDistance) {
        this.followAircraftDistance = followAircraftDistance;
    }
}
